List provider resources
curl --request GET \
--url https://api.monid.ai/public/v1/resourcesimport requests
url = "https://api.monid.ai/public/v1/resources"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monid.ai/public/v1/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monid.ai/public/v1/resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monid.ai/public/v1/resources"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monid.ai/public/v1/resources")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monid.ai/public/v1/resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"provider": "smolmachine",
"providerDisplayName": "Smol Machines",
"resource": "SmolmachineMachine",
"resourceType": "machine",
"displayName": "Virtual machine",
"displayDescription": "<string>",
"summary": "<string>",
"pricing": {
"rent": {
"type": "BY_PERIOD",
"amount": {
"value": 123,
"currency": "USD"
},
"period": {
"unit": "MINUTE",
"count": 123
}
},
"rateCard": [
{
"label": "cpu",
"ratePerUnit": 0.05,
"per": "vCPU·hour"
}
],
"firstPeriodChargedAtCreation": true
},
"endpoints": [
{
"endpoint": "/machines",
"displayName": "Create machine",
"price": {
"type": "<string>",
"amount": {
"value": 123,
"currency": "USD"
},
"flatFee": {
"value": 123,
"currency": "USD"
},
"period": {
"unit": "MINUTE",
"count": 123
},
"per": {
"unit": "MINUTE",
"count": 123
},
"unit": "token",
"default": {
"type": "PER_CALL",
"amount": {
"value": 123,
"currency": "USD"
}
},
"selectors": [
{
"label": "<string>",
"key": "<string>",
"in": "body",
"offset": 1
}
],
"variants": [
{
"when": {},
"price": {
"type": "PER_CALL",
"amount": {
"value": 123,
"currency": "USD"
}
},
"label": "<string>"
}
],
"tiers": [
{
"label": "<string>",
"price": {
"type": "PER_CALL",
"amount": {
"value": 123,
"currency": "USD"
}
},
"when": {},
"selector": {
"label": "<string>",
"key": "<string>",
"in": "body",
"offset": 1
}
}
]
},
"effects": [
"create"
]
}
],
"categories": [
"<string>"
],
"providerUrl": "<string>",
"providerDocsUrl": "<string>"
}
]
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}Public Registry
List provider resources
The resources providers offer (e.g. a machine, an inbox, a phone number) with display copy, prices (recurring rent and metered usage rates) and the endpoints that operate on them. Filter by category and/or provider.
GET
/
public
/
v1
/
resources
List provider resources
curl --request GET \
--url https://api.monid.ai/public/v1/resourcesimport requests
url = "https://api.monid.ai/public/v1/resources"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monid.ai/public/v1/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monid.ai/public/v1/resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monid.ai/public/v1/resources"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monid.ai/public/v1/resources")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monid.ai/public/v1/resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"provider": "smolmachine",
"providerDisplayName": "Smol Machines",
"resource": "SmolmachineMachine",
"resourceType": "machine",
"displayName": "Virtual machine",
"displayDescription": "<string>",
"summary": "<string>",
"pricing": {
"rent": {
"type": "BY_PERIOD",
"amount": {
"value": 123,
"currency": "USD"
},
"period": {
"unit": "MINUTE",
"count": 123
}
},
"rateCard": [
{
"label": "cpu",
"ratePerUnit": 0.05,
"per": "vCPU·hour"
}
],
"firstPeriodChargedAtCreation": true
},
"endpoints": [
{
"endpoint": "/machines",
"displayName": "Create machine",
"price": {
"type": "<string>",
"amount": {
"value": 123,
"currency": "USD"
},
"flatFee": {
"value": 123,
"currency": "USD"
},
"period": {
"unit": "MINUTE",
"count": 123
},
"per": {
"unit": "MINUTE",
"count": 123
},
"unit": "token",
"default": {
"type": "PER_CALL",
"amount": {
"value": 123,
"currency": "USD"
}
},
"selectors": [
{
"label": "<string>",
"key": "<string>",
"in": "body",
"offset": 1
}
],
"variants": [
{
"when": {},
"price": {
"type": "PER_CALL",
"amount": {
"value": 123,
"currency": "USD"
}
},
"label": "<string>"
}
],
"tiers": [
{
"label": "<string>",
"price": {
"type": "PER_CALL",
"amount": {
"value": 123,
"currency": "USD"
}
},
"when": {},
"selector": {
"label": "<string>",
"key": "<string>",
"in": "body",
"offset": 1
}
}
]
},
"effects": [
"create"
]
}
],
"categories": [
"<string>"
],
"providerUrl": "<string>",
"providerDocsUrl": "<string>"
}
]
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}{
"code": 400,
"message": "Bad Request",
"hints": {},
"errorCode": "RATE_LIMITED"
}Query Parameters
Category node id to filter by (top group, leaf category, or provider node id from GET /public/v1/categories).
Maximum string length:
60Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Example:
"virtual-machines"
Exact provider slug.
Required string length:
1 - 200Example:
"smolmachine"
Response
Matching resources
Show child attributes
Show child attributes